oracle.xml.schemavalidator

## Class DocErrorHandler

- java.lang.Object
- - oracle.xml.schemavalidator.DocErrorHandler

All Implemented Interfaces:
  ErrorHandler

    public class DocErrorHandler
    extends java.lang.Object
    implements ErrorHandler

This class implements the three methods,i.e., error(),warning(), fatalError() defined in the ErrorHandler interface. All three methods adds the line, column, node information along with the error message to a vector maintained internally. This handler is useful in getting a dump of the error that occured during the schema validation.

### Constructor Summary

Constructors
Constructor and Description
`DocErrorHandler()` Default Constructor for the ErrorHandler

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `error(SAXParseException ex)` Adds a Error message to the vector
`void` `fatalError(SAXParseException ex)` Adds a fatalError message to the vector
`java.util.Vector` `getErrorList()` Gets the List of Error messages returned by the Validator.
`int` `getNumErrors()` Gets the List of Error messages returned by the Validator.
`void` `warning(SAXParseException ex)` Adds a warning message to the vector

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DocErrorHandler

    public DocErrorHandler()
                    throws java.io.IOException,
                           java.io.FileNotFoundException

Default Constructor for the ErrorHandler

Throws:
  `java.io.IOException`
  `java.io.FileNotFoundException`

### Method Detail

#### warning

    public void warning(SAXParseException ex)
                 throws SAXException

Adds a warning message to the vector

Specified by:
  `warning` in interface `ErrorHandler`
Parameters:
  `ex` - - SAXParseException ex
Throws:
  `-` - SAXException
  `SAXException` - Any SAX exception, possibly wrapping another exception.
See Also:
  `SAXParseException`

#### error

    public void error(SAXParseException ex)
               throws SAXException

Adds a Error message to the vector

Specified by:
  `error` in interface `ErrorHandler`
Parameters:
  `ex` - - SAXParseException ex
Throws:
  `-` - SAXException
  `SAXException` - Any SAX exception, possibly wrapping another exception.
See Also:
  `SAXParseException`

#### fatalError

    public void fatalError(SAXParseException ex)
                    throws SAXException

Adds a fatalError message to the vector

Specified by:
  `fatalError` in interface `ErrorHandler`
Parameters:
  `ex` - - SAXParseException ex
Throws:
  `-` - SAXException
  `SAXException` - Any SAX exception, possibly wrapping another exception.
See Also:
  `SAXParseException`

#### getErrorList

    public java.util.Vector getErrorList()

Gets the List of Error messages returned by the Validator.

Returns:
  - array of strings

#### getNumErrors

    public int getNumErrors()

Gets the List of Error messages returned by the Validator.

Returns:
  - array of strings

Copyright © 2003, 2020, Oracle and/or its affiliates.